Package Details: xorg-xwayland-git 21.1.1.r134.g8274dd664-2

Git Clone URL: https://aur.archlinux.org/xorg-xwayland-git.git (read-only, click to copy)
Package Base: xorg-xwayland-git
Description: Run X clients under Wayland (git version)
Upstream URL: https://xorg.freedesktop.org
Licenses: custom
Groups: xorg
Conflicts: xorg-server-xwayland, xorg-server-xwayland-git, xorg-xwayland
Provides: xorg-server-xwayland, xorg-server-xwayland-git, xorg-xwayland
Replaces: xorg-server-xwayland-git
Submitter: Rucikir
Maintainer: Rucikir
Last Packager: Rucikir
Votes: 3
Popularity: 0.92
First Submitted: 2020-12-12 19:47
Last Updated: 2021-06-03 22:19

Required by (66)

Sources (1)

Latest Comments

Rucikir commented on 2021-06-03 22:21

Added xorgproto-git to the dependencies. Made the version accurate.

dr460nf1r3 commented on 2021-06-01 07:53

Please add xorgproto-git to makedepends. @juxuanu this fixes your issue as well.

juxuanu commented on 2021-05-30 13:56

xserver/meson.build:73:0: ERROR: Invalid version of dependency, need 'inputproto' ['>= 2.3.99.1'] found '2.3.2'.

Is some Arch package in need of an upgrade before we can compile from last commit? Or what's wrong here?

Rucikir commented on 2020-12-25 10:59

Thank you for noticing that, finally fixed it!

xenu commented on 2020-12-25 01:07

With the latest change libegl was added to the dependencies but mesa-libgl is still listed under "makedepends".

xenu commented on 2020-12-22 07:06

@Rucikir: I think mesa would be fine as xorg-xwayland-git still depends on xorg-server-common(-git) which in turn also requires mesa.

Rucikir commented on 2020-12-14 10:20

mesa replaces mesa-libgl, so I should replace the dependency.
Should I go further and replace mesa-libgl/mesa by libegl? libegl is provided by libglvnd. If so, it could also be changed in the xorg-xwayland package.

xenu commented on 2020-12-14 10:02

Had a problem installing this while using mesa-git as that does not provide mesa-libgl. Solved by installing libegl and removing mesa-libgl from the dependencies.